Bug 542665 - backward migration ability should be requested to qemu-kvm when needed
backward migration ability should be requested to qemu-kvm when needed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4.z
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On: 541731
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-30 08:46 EST by Dor Laor
Modified: 2013-01-09 17:05 EST (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.6.3-31.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 541921
Environment:
Last Closed: 2010-03-30 04:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
details (3.66 KB, text/plain)
2010-01-29 03:39 EST, Alex Jia
no flags Details

  None (edit)
Description Dor Laor 2009-11-30 08:46:54 EST
+++ This bug was initially created as a clone of Bug #541921 +++

This bug is for the changes needed on the management layer to allow "backward migration", when the newer version of KVM has fixes that make the savevm format incompatible with previous versions (e.g. the fix for bug 531701).

KVM will be changed to allow an older savevm version to be requested, by using the machine-type argument to define the savevm version (Bug #541731), and VDSM (and maybe the higher layers) need to be able to use that feature when there is the need to allow backward migration.

--- Additional comment from dlaor@redhat.com on 2009-11-30 08:44:46 EDT ---

or all rhel5.4.* incarnations, we'll always use -M rhel5.4 as a default, unless instructed differently by mgmt.

So, newer vdsm should start using rhel5.4.x for newer VMs, otherwise ATM pvclock will drift.

---
The exact similar implementation is needed in libvirt.
Comment 2 Jiri Denemark 2010-01-28 11:17:56 EST
Fix built in libvirt-0.6.3-31.el5
Comment 4 Alex Jia 2010-01-29 03:38:37 EST
This bug has been fixed with libvirt-0.6.3-31.el5 on rhel5u5,set the bug status
to VERIFIED.(see the attachment)
Comment 5 Alex Jia 2010-01-29 03:39:24 EST
Created attachment 387526 [details]
details
Comment 8 errata-xmlrpc 2010-03-30 04:10:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0205.html

Note You need to log in before you can comment on or make changes to this bug.